import Vue from 'vue'
import App from './App.vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import router from './router'
import store from './store'
import echarts from 'echarts'
import 'echarts/map/js/china' 
import websocket from 'vue-native-websocket'
import wst from  '@/utils/websocket'
import SvgIcon from '@/components/svgIcon/index.vue'// svg component
import '@/assets/svg'  // 导入图标资源
// 将自动注册所有组件为全局组件
import dataV from '@jiaminghi/data-view'
Vue.use(dataV)
Vue.use(websocket, 'ws://localhost:1234', {// 这里要填的是服务器的地址，可以换一个在线服务器wss://echo.websocket.org
  reconnection: true, // (Boolean)是否自动重连，默认false
  reconnectionAttempts: Infinity, // 重连次数
  reconnectionDelay: 3000, // 再次重连等待时常(1000)
})
Vue.use(wst)
Vue.prototype.$wst = wst
Vue.prototype.$echarts = echarts
Vue.use(ElementUI);
Vue.prototype.$store = store
Vue.component('svg-icon', SvgIcon)
Vue.config.productionTip = false
new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')

