import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

/* Layout */
import Layout from '@/layout/index.vue'


export const constantRoutes = [ // 配置路由，这里是个数组
    { // 每一个链接都是一个对象
        path: '/', // 链接路径
        name: 'root', // 路由名称，
        redirect: '/home',

    },
    {
        path: '/home',
        component: Layout,
        redirect: '/home/taskManagement',
        children: [{
            path: 'taskManagement',
            name: 'taskManagement',
            component: () =>
                import ('@/views/taskManagement/index')
        },
        {
            path: 'networkManagement',
            name: 'networkManagement',
            component: () =>
                import ('@/views/networkManagement/index')
        },
        {
            path: 'functionalityManagement',
            name: 'functionalityManagement',
            component: () =>
                import ('@/views/functionalityManagement/index')
        },
        {
            path: 'radarInvestigation',
            name: 'radarInvestigation',
            component: () =>
                import ('@/views/radarInvestigation/index')
        },
        {
            path: 'telecomInvestigation',
            name: 'telecomInvestigation',
            component: () =>
                import ('@/views/telecomInvestigation/index')
        },
        {
            path: 'opticalInvestigation',
            name: 'opticalInvestigation',
            component: () =>
                import ('@/views/opticalInvestigation/index')
        },
        {
            path: 'sarInvestigation',
            name: 'sarInvestigation',
            component: () =>
                import ('@/views/sarInvestigation/index')
        },
        {
            path: 'intelESMProcess',
            name: 'intelESMProcess',
            component: () =>
                import ('@/views/intelESMProcess/index')
        },
        {
            path: 'situation',
            name: 'situation',
            component: () =>
                import ('@/views/situation/index')
        },
        {
            path: 'dataManagement',
            name: 'dataManagement',
            component: () =>
                import ('@/views/dataManagement/index')
        }
    ]
    }
        

]

const createRouter = () => new Router({
    // mode: 'history', // require service support
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRoutes
})

const router = createRouter()

// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
    const newRouter = createRouter()
    router.matcher = newRouter.matcher // reset router
}

export default router
